![image](https://github.com/user-attachments/assets/250d8e8d-d641-41fb-a9a4-96bd79bf1bd5)
# Gcommit-cli
Git CLI Assistant is a command-line application (CLI) that facilitates the management of changes in Git repositories. 
This tool provides an intuitive interface for performing common Git actions efficiently.

[![MIT License](https://img.shields.io/badge/License-MIT-green.svg)](https://choosealicense.com/licenses/mit/)

## Features
- Repository Initialization: Easily initialize a new Git repository in your project.
- Change Management: Analyze changes in your repository and facilitate the preparation of files to be committed.
- Commit Creation: Create commits with clear and descriptive messages to record your changes.

## Relationship between Commit Types and npm Versioning
The version of your npm project is related to the type of commit you make.
Here is the relationship between commit types and npm versioning:

- break: Indicates a change that breaks compatibility and correlates with a new major version (major) of npm.
- feat: Indicates the addition of a new functionality and correlates with a new minor version (minor) of npm.
- Other Commit Types: Commit types such as fix, docs, chore, refactor, style, test, among others, correlate with a new patch version (patch) of npm.

## Installation
Install the CLI globally
```bash
  sudo npm install -g gcommit-cli
```

## Usage
In your console, just type:
```bash
  :~$ gcommit
```
## Contribution
Contributions are welcome! If you find any bugs or have suggestions to improve this application, feel free to open an issue or send a pull request.

## License
This project is licensed under the MIT License. For more details, see the LICENSE file.

## Screenshots
![image](https://github.com/user-attachments/assets/417c17d6-4156-46f9-9def-1a00ca388227)

![image](https://github.com/user-attachments/assets/4b5ec074-3ce3-401e-9579-4fe54a053261)